package nl.amis.timelinerss.view;

import oracle.adf.model.AttributeBinding;
import oracle.adf.model.BindingContext;
import oracle.adf.model.binding.DCBindingContainer;
import oracle.adf.model.binding.DCIteratorBinding;
import oracle.adf.share.ADFContext;

public class RssFeedSelectorBean {
    
    private String rssURL;
    
    public RssFeedSelectorBean() {
        super();
    }

    private void refreshFeed() {
        DCBindingContainer bindings = (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry(); 
        AttributeBinding attr = (AttributeBinding)bindings.getControlBinding("feedURL");  
        attr.setInputValue(getRssURL()); 
        
        DCIteratorBinding iterBind = (DCIteratorBinding)bindings.get("feedItemsIterator");
        iterBind.executeQuery();
    }

    public void setRssURL(String rssURL) {
        this.rssURL = rssURL;
        refreshFeed();
    }

    public String getRssURL() {
        return rssURL;
    }
}
